Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Shared_Object Class Reference

Provide the abstract base class used to access dynamic linking facilities. More...

`#include <Shared_Object.h>`

Inheritance diagram for ACE_Shared_Object:

[legend]
List of all members.

## Public Methods
| ACE_Shared_Object (void)
virtual int | init (int argc, ACE_TCHAR *argv[])
| Initializes object when dynamic linking occurs.
virtual int | fini (void)
| Terminates object when dynamic unlinking occurs.
virtual int | info (ACE_TCHAR **info_string, size_t length=0) const
| Returns information on a service object.
virtual | ~ACE_Shared_Object (void)

## Detailed Description

Provide the abstract base class used to access dynamic linking facilities.

## Constructor & Destructor Documentation

ACE_INLINE ACE_Shared_Object::ACE_Shared_Object | ( | void |  | ) |

ACE_Shared_Object::~ACE_Shared_Object | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int ACE_Shared_Object::fini | ( | void |  | ) | `[virtual]`

| Terminates object when dynamic unlinking occurs. Reimplemented in ACE_Acceptor< SVC_HANDLER, >, ACE_Strategy_Acceptor< SVC_HANDLER, >, ACE_Oneshot_Acceptor< SVC_HANDLER, >, ACE_Connector< SVC_HANDLER, >, ACE_Logging_Strategy, ACE_Naming_Context, ACE_NT_Service, ACE_Service_Manager, ACE_Stream_Head<>, ACE_Stream_Tail<>, ACE_Thru_Task<>, ACE_Svc_Handler<, >, ACE_Acceptor< SVC_HANDLER, ACE_PEER_ACCEPTOR_2 >, ACE_Connector< SVC_HANDLER, ACE_PEER_CONNECTOR_2 >, and ACE_Svc_Handler< ACE_PEER_STREAM_2, ACE_SYNCH_USE >.

int ACE_Shared_Object::info | ( | ACE_TCHAR ** | info_string,
|  | size_t | length = 0
| ) | const`[virtual]`

| Returns information on a service object. Reimplemented in ACE_Acceptor< SVC_HANDLER, >, ACE_Strategy_Acceptor< SVC_HANDLER, >, ACE_Oneshot_Acceptor< SVC_HANDLER, >, ACE_Connector< SVC_HANDLER, >, ACE_Naming_Context, ACE_Service_Manager, ACE_Stream_Head<>, ACE_Stream_Tail<>, ACE_Thru_Task<>, ACE_Svc_Handler<, >, ACE_Acceptor< SVC_HANDLER, ACE_PEER_ACCEPTOR_2 >, ACE_Connector< SVC_HANDLER, ACE_PEER_CONNECTOR_2 >, and ACE_Svc_Handler< ACE_PEER_STREAM_2, ACE_SYNCH_USE >.

int ACE_Shared_Object::init | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | `[virtual]`

| Initializes object when dynamic linking occurs. Reimplemented in ACE_Acceptor< SVC_HANDLER, >, ACE_Oneshot_Acceptor< SVC_HANDLER, >, ACE_Connector< SVC_HANDLER, >, ACE_Logging_Strategy, ACE_Naming_Context, ACE_Service_Manager, ACE_Stream_Head<>, ACE_Stream_Tail<>, ACE_Thru_Task<>, ACE_Svc_Handler<, >, ACE_Acceptor< SVC_HANDLER, ACE_PEER_ACCEPTOR_2 >, ACE_Connector< SVC_HANDLER, ACE_PEER_CONNECTOR_2 >, and ACE_Svc_Handler< ACE_PEER_STREAM_2, ACE_SYNCH_USE >.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Shared_Object.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Shared_Object.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Shared_Object.i